/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.aut;

import com.eviware.soapui.impl.wsdl.WsdlRequest;
import com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlEditor;
import com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlInspector;
import com.eviware.soapui.impl.wsdl.panels.request.components.editor.inspectors.registry.RequestInspectorFactory;
import com.eviware.soapui.model.ModelItem;

public class AutInspectorFactory implements RequestInspectorFactory
{
	public static final String INSPECTOR_ID = "Aut";

	public String getInspectorId()
	{
		return INSPECTOR_ID;
	}

	public XmlInspector createRequestInspector( XmlEditor editor, ModelItem modelItem )
	{
		if( modelItem instanceof WsdlRequest )
			return new RequestAutInspector( ((WsdlRequest)modelItem) );
		
		return null;
	}
}
