/*
 *  soapUI Pro, copyright (C) 2007 eviware software ab 
 */

package com.eviware.soapui.support.dnd.handlers;

import com.eviware.soapui.model.ModelItem;

public abstract class AbstractAfterModelItemDropHandler<T1 extends ModelItem, T2 extends ModelItem> 
	extends AbstractModelItemDropHandler<T1, T2>
{
	protected AbstractAfterModelItemDropHandler( Class<T1> sourceClass, Class<T2> targetClass )
	{
		super( sourceClass, targetClass );
	}

	@Override
	boolean canCopyBefore( T1 source, T2 target )
	{
		return false;
	}

	@Override
	boolean canMoveBefore( T1 source, T2 target )
	{
		return false;
	}

	@Override
	boolean copyBefore( T1 source, T2 target )
	{
		return false;
	}

	@Override
	String getCopyBeforeInfo( T1 source, T2 target )
	{
		return null;
	}

	@Override
	String getMoveBeforeInfo( T1 source, T2 target )
	{
		return null;
	}

	@Override
	boolean moveBefore( T1 source, T2 target )
	{
		return false;
	}

	@Override
	boolean canCopyOn( T1 source, T2 target )
	{
		return false;
	}

	@Override
	boolean canMoveOn( T1 source, T2 target )
	{
		return false;
	}

	@Override
	boolean copyOn( T1 source, T2 target )
	{
		return false;
	}

	@Override
	String getCopyOnInfo( T1 source, T2 target )
	{
		return null;
	}

	@Override
	String getMoveOnInfo( T1 source, T2 target )
	{
		return null;
	}

	@Override
	boolean moveOn( T1 source, T2 target )
	{
		return false;
	}
}
